Sendmail smtpmessage Unspecified Overflow

1983-03-26T04:58:01
ID OSVDB:15617
Type osvdb
Reporter OSVDB
Modified 1983-03-26T04:58:01

Description

Vulnerability Description

An overflow exists in Sendmail. The smtpmessage functionality fails to properly handle buffer input resulting in an overflow. With a specially crafted request, an attacker can cause the execution of arbitrary code. No further details have been provided.

Solution Description

Upgrade to version 3.332 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

An overflow exists in Sendmail. The smtpmessage functionality fails to properly handle buffer input resulting in an overflow. With a specially crafted request, an attacker can cause the execution of arbitrary code. No further details have been provided.

References:

Vendor Specific News/Changelog Entry: http://www.mit.edu:8001/afs/sipb/service/news/src/sendmail/sendmail.5.61/src/Version.c